---

backup_restic_creds_acme: "{{ lookup('community.hashi_vault.hashi_vault', 'restic/data/repositories/' + inventory_hostname + '/acme') }}"
backup_restic_creds_traefik: "{{ lookup('community.hashi_vault.hashi_vault', 'restic/data/repositories/' + inventory_hostname + '/traefik') }}"

## Systemd-timers
backup_restic_default_systemd_timers_hour: '4'
backup_restic_default_systemd_timers_minute: '20'
backup_restic_default_systemd_timers_second: '00'
backup_restic_default_systemd_timers_day: '*'
backup_restic_default_systemd_timers_month: '*'
backup_restic_default_systemd_timers_year: '*'
backup_restic_default_systemd_timers_weekday: ''

backup_restic_default_prune_systemd_timers_hour: '13'
backup_restic_default_prune_systemd_timers_minute: '20'
backup_restic_default_prune_systemd_timers_second: '00'
backup_restic_default_prune_systemd_timers_day: '*'
backup_restic_default_prune_systemd_timers_month: '*'
backup_restic_default_prune_systemd_timers_year: '*'
backup_restic_default_prune_systemd_timers_weekday: ''

backup_restic_list_raw:
  - name: acme
    enabled: true
    repo_password: "{{ backup_restic_creds_acme['repo_password'] }}"
    backend:
      type: wasabi
      s3_bucket_name: "{{ backup_restic_creds_acme['bucket_name'] }}"
      s3_access_key: "{{ backup_restic_creds_acme['backup_access_key'] }}"
      s3_secret_key: "{{ backup_restic_creds_acme['backup_secret_key'] }}"
      s3_prune_access_key: "{{ backup_restic_creds_acme['prune_access_key'] }}"
      s3_prune_secret_key: "{{ backup_restic_creds_acme['prune_secret_key'] }}"
    to_include:
      - /srv/acme
  - name: traefik
    enabled: true
    repo_password: "{{ backup_restic_creds_traefik['repo_password'] }}"
    backend:
      type: wasabi
      s3_bucket_name: "{{ backup_restic_creds_traefik['bucket_name'] }}"
      s3_access_key: "{{ backup_restic_creds_traefik['backup_access_key'] }}"
      s3_secret_key: "{{ backup_restic_creds_traefik['backup_secret_key'] }}"
      s3_prune_access_key: "{{ backup_restic_creds_traefik['prune_access_key'] }}"
      s3_prune_secret_key: "{{ backup_restic_creds_traefik['prune_secret_key'] }}"
    to_include:
      - /srv/traefik
